# $Header: https://oberon.oapd.inaf.it/shins/branches/templates-dev2/shins/src/scripts/templates/tpl/SHARKNIR_lss_mon_SpectraResolution.py 3051 2020-05-22 13:29:40Z depa $

from shinsapp import SHINSApp
from util.shinsLogger import logger
from util import variables as uvars
from util import exception

from SHARKNIR_gen_base import SHARKNIR_gen_base

class SHARKNIR_cal_mon_Ghost(SHINSApp):
    """Acquisition procedure: Insert the point source lamp and acquires
    two exposures: the first one is a non-saturated exposure (DET.DIT
    and DET.NDIT), the second one is a saturated exposure 

    Set-up: Point source

    User defined parameters: DIT, NDIT, filters, Coronagraph
    combination Calibration Hardware Devices: Calibration fiber

    """

    @exception.handler_for_run
    def run(self, ins_s=None, det_s=None, tel_s=None, rtc_s=None, **kwargs):
        '''
        Composition of base templates
        '''

        logger.info(__name__)
        obsController = self.obsController
        self.status = uvars.EXIT_SUCCESS

        gen_base = SHARKNIR_gen_base()
        
        ##########################################
        # Recalling BASE template: SETUP + IMAGE #
        ##########################################

        logger.info("Taking a non-saturated exposure")
        
        gen_base.main(ins_s=ins_s, det_s=det_s)

        # ##########################################
        # # Recalling BASE template: SETUP + IMAGE #
        # ##########################################
        
        # logger.info("Taking a saturated exposure")
        
        # det_s["NREADS"] = str( 3.0 * float(det_s["NREADS"]))
        
        # gen_base.main(ins_s=ins_s, det_s=det_s)
